Package org.eclipse.rdf4j.sail.shacl.config

## Class ShaclSailSchema

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.config.ShaclSailSchema

-     public class ShaclSailSchema
      extends Object

  Defines constants for the ShaclSail schema which is used by `ShaclSailFactory`s to initialize `ShaclSail`s.
  Author:
    Jeen Broekstra

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `CACHE_SELECT_NODES` | `http://rdf4j.org/config/sail/shacl#cacheSelectNodes`
    `static IRI` | `DASH_DATA_SHAPES` |
    `static IRI` | `ECLIPSE_RDF4J_SHACL_EXTENSIONS` |
    `static IRI` | `GLOBAL_LOG_VALIDATION_EXECUTION` | `http://rdf4j.org/config/sail/shacl#globalLogValidationExecution`
    `static IRI` | `LOG_VALIDATION_PLANS` | `http://rdf4j.org/config/sail/shacl#logValidationPlans`
    `static IRI` | `LOG_VALIDATION_VIOLATIONS` | `http://rdf4j.org/config/sail/shacl#logValidationViolations`
    `static String` | `NAMESPACE` | The ShaclSail schema namespace (`http://rdf4j.org/config/sail/shacl#`).
    `static IRI` | `PARALLEL_VALIDATION` | `http://rdf4j.org/config/sail/shacl#parallelValidation`
    `static IRI` | `PERFORMANCE_LOGGING` | `http://rdf4j.org/config/sail/shacl#performanceLogging`
    `static IRI` | `RDFS_SUB_CLASS_REASONING` | `http://rdf4j.org/config/sail/shacl#rdfsSubClassReasoning`
    `static IRI` | `SERIALIZABLE_VALIDATION` | `http://rdf4j.org/config/sail/shacl#serializableValidation`
    `static IRI` | `SHAPES_GRAPH` |
    `static IRI` | `TRANSACTIONAL_VALIDATION_LIMIT` |
    `static IRI` | `VALIDATION_ENABLED` | `http://rdf4j.org/config/sail/shacl#validationEnabled`
    `static IRI` | `VALIDATION_RESULTS_LIMIT_PER_CONSTRAINT` |
    `static IRI` | `VALIDATION_RESULTS_LIMIT_TOTAL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShaclSailSchema()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The ShaclSail schema namespace (`http://rdf4j.org/config/sail/shacl#`).
      See Also:
        Constant Field Values

    - #### PARALLEL_VALIDATION

          public static final IRI PARALLEL_VALIDATION

      `http://rdf4j.org/config/sail/shacl#parallelValidation`

    - #### LOG_VALIDATION_PLANS

          public static final IRI LOG_VALIDATION_PLANS

      `http://rdf4j.org/config/sail/shacl#logValidationPlans`

    - #### LOG_VALIDATION_VIOLATIONS

          public static final IRI LOG_VALIDATION_VIOLATIONS

      `http://rdf4j.org/config/sail/shacl#logValidationViolations`

    - #### VALIDATION_ENABLED

          public static final IRI VALIDATION_ENABLED

      `http://rdf4j.org/config/sail/shacl#validationEnabled`

    - #### CACHE_SELECT_NODES

          public static final IRI CACHE_SELECT_NODES

      `http://rdf4j.org/config/sail/shacl#cacheSelectNodes`

    - #### GLOBAL_LOG_VALIDATION_EXECUTION

          public static final IRI GLOBAL_LOG_VALIDATION_EXECUTION

      `http://rdf4j.org/config/sail/shacl#globalLogValidationExecution`

    - #### RDFS_SUB_CLASS_REASONING

          public static final IRI RDFS_SUB_CLASS_REASONING

      `http://rdf4j.org/config/sail/shacl#rdfsSubClassReasoning`

    - #### PERFORMANCE_LOGGING

          public static final IRI PERFORMANCE_LOGGING

      `http://rdf4j.org/config/sail/shacl#performanceLogging`

    - #### SERIALIZABLE_VALIDATION

          public static final IRI SERIALIZABLE_VALIDATION

      `http://rdf4j.org/config/sail/shacl#serializableValidation`

    - #### ECLIPSE_RDF4J_SHACL_EXTENSIONS

          public static final IRI ECLIPSE_RDF4J_SHACL_EXTENSIONS

    - #### DASH_DATA_SHAPES

          public static final IRI DASH_DATA_SHAPES

    - #### VALIDATION_RESULTS_LIMIT_TOTAL

          public static final IRI VALIDATION_RESULTS_LIMIT_TOTAL

    - #### VALIDATION_RESULTS_LIMIT_PER_CONSTRAINT

          public static final IRI VALIDATION_RESULTS_LIMIT_PER_CONSTRAINT

    - #### TRANSACTIONAL_VALIDATION_LIMIT

          public static final IRI TRANSACTIONAL_VALIDATION_LIMIT

    - #### SHAPES_GRAPH

          public static final IRI SHAPES_GRAPH

  - ### Constructor Detail

    - #### ShaclSailSchema

          public ShaclSailSchema()